%This is a LaTeX2e-class file for Future Network & Mobile Summit '12

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{futurenetworkandmobilesummit12}[2010/09/15 1.3]
\LoadClass[12pt, a4paper]{article}
\RequirePackage{times}


\setlength{\voffset}{-0.5in}
\setlength{\headheight}{0pt} 
\setlength{\oddsidemargin}{2mm}
\setlength{\evensidemargin}{2mm}
\setlength{\textheight}{240mm}
\setlength{\textwidth}{156mm}
\renewcommand*\@fnsymbol[1]{\the#1}
\renewcommand{\footnoterule}{}

\def\@maketitle{%
  \newpage
  \null
  \vspace*{-0.5cm}%
  \begin{center}%
  \let \footnote \thanks
    {\fontsize{24pt}{26pt} \bf \@title \par}%
    \vskip 12pt%
    { \lineskip .5em%
      \begin{minipage}[c]{15cm}% 
        \center
        \@author
      \end{minipage} \par}%
  \end{center}%
  \par
  \vskip 1pt}


\setcounter{secnumdepth}{3}

\renewcommand{\normalsize}{\fontsize{12pt}{13pt}}
\def\thesection{\arabic{section}.}
\def\thesubsection{\thesection\arabic{subsection}}
\def\thesubsubsection{\thesection\arabic{subsection}.\arabic{subsubsection}}

\renewcommand\section{\@startsection{section}{1}{\z@}%
                                   {-12pt \@plus -1ex \@minus -.2ex}%
                                   {6pt \@plus.2ex}%
                                   {\normalfont\fontsize{14pt}{16pt}\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-10pt\@plus -1ex \@minus -.2ex}%
                                     {3pt \@plus .2ex}%
                                     {\normalfont\fontsize{12pt}{14pt}\itshape}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-10pt\@plus -1ex \@minus -.2ex}%
                                     {3pt \@plus .2ex}%
                                     {\normalfont\fontsize{12pt}{14pt}}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{6mm}%
                                    {10pt \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\fontsize{12pt}{14pt}}}
\renewcommand{\sfdefault}{phv}
\renewcommand{\rmdefault}{ptm}
\renewcommand{\ttdefault}{pcr}


%%% Redifine abstract
\def\abstract{
\center
\begin{minipage}[c]{120mm}\fontsize{10pt}{11pt}{\bf Abstract:} \normalfont} 
\def\endabstract{\end{minipage}\\}


%%% Redifine keywords
\newenvironment{keywords}%
					{\begin{center}\begin{minipage}[c]{12cm}
						\fontsize{10pt}{11pt}{\bf Keywords:} \normalfont}
               {\end{minipage}\end{center}}

